using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FingersDance.Control.TimeLine;

namespace FingersDance.Actions
{
    public class ActionAddAnnotation : FingersDance.Actions.ActionBase
    {
        private string _Text = "";
        private UserControlTimeLine myTimeline;

        public ActionAddAnnotation()
        {
            
        }

        public ActionAddAnnotation(string text)
        {
            _Text = text;
        }

        public ActionAddAnnotation(UserControlTimeLine uct)
        {
            myTimeline = uct;
        }

        public void Execute()
        {
            if (myTimeline != null)
                myTimeline.addAnnotation();
        }
    }
}
